Subject: Reporting potential bug | uname -p and uname -i return unknown on Debian

From: "Ashish, Agrawal" <[email-masked]>
Date: Mon, 26 Nov 2012 08:48:08 +0000

Hello,

I use the output of 'uname -p' in my product. It seems to work fine on very other Linux distro that I have worked on (ex. RHEL, SUSE Linux Enterprise Server and even Ubuntu 12.04), except Debian where it returns 'unknown'. The following this the relevant information of my machine and setup.

root@IWFVM00285:~# cat /etc/debian_version
6.0.5
root@IWFVM00285:~# uname -a
Linux IWFVM00285 2.6.32-5-amd64 #1 SMP Sun May 6 04:00:17 UTC 2012 x86_64 GNU/Linux
root@IWFVM00285:~# uname -m
x86_64
root@IWFVM00285:~# uname -p
unknown
root@IWFVM00285:~# uname -i
unknown

I found relevant bugs raised earlier (for example, http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=193170) but it seems either it was fixed earlier and has resurfaced or it was marked as won't fix.

Please advise. If this issue is already noted, could you please let me know the current status?

Thank you.

Ashish
+91.973.970.9990